curl -X POST 'https://api.sendforsign.com/api/client' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"client": {
"clientKey": "CLIENT_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION"
}
}
}'
{
"client": {
"changeTime": "2023-12-01 12:18:55",
"clientKey": "CLIENT_KEY",
},
"code": "201",
"message": "Client updated"
}
Client
Update client
Update an existing client.
POST
/
api
/
client
curl -X POST 'https://api.sendforsign.com/api/client' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"client": {
"clientKey": "CLIENT_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION"
}
}
}'
{
"client": {
"changeTime": "2023-12-01 12:18:55",
"clientKey": "CLIENT_KEY",
},
"code": "201",
"message": "Client updated"
}
Body parameters
Show child attribute
Show child attribute
Action type.
Structure, use the fields that should be updated.
Response
The code of the answer.
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/client' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"client": {
"clientKey": "CLIENT_KEY",
"fullname": "John Johnson",
"email": "john_johnson@mail.com",
"organization": "Company Inc.",
"customKey": "YOUR_COMBINATION"
}
}
}'
{
"client": {
"changeTime": "2023-12-01 12:18:55",
"clientKey": "CLIENT_KEY",
},
"code": "201",
"message": "Client updated"
}
⌘I